
#include <inttypes.h>
#include "si5340a.h" 
#include <util/delay.h>
#include <avr/io.h>

uint8_t twst;

  char page[]={0x00,0x00,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x02,0x03,0x09,0x09,0x09,0x0A,0x0A,0x0A};
 char reg_a[]={0x18,0x21,0x02,0x12,0x13,0x14,0x15,0x17,0x18,0x19,0x1A,0x26,0x27,0x28,0x29,0x2B,0x2C,0x2D,0x2E,0x06,0x39,0x0E,0x1C,0x43,0x03,0x04,0x05};
char date_1[]={0x0F,0x07,0x01,0x06,0x09,0x3B,0x28,0x01,0x09,0x3B,0x28,0x06,0x09,0x3E,0x18,0x01,0x09,0x3B,0x28,0x02,0x1F,0x01,0x04,0x01,0x04,0x00,0x04};

/**********************  Si5340A  ********************************/
   void init_Si5340A(void)
   {   
   
	char k;
	
	for (k=0; k<27; k++)
	  {
	  USART_Transmit(reg_a[k]); //    
        	
	      WriteByte (page[k], reg_a[k], date_1[k]); 

		    _delay_ms(500);  
	        
	  } 

	   _delay_ms(2000);

	   for (k=0; k<27; k++)	    
			
		{
		char tmp= ReadByte (page[k], reg_a[k]);

           //char tmp= ReadByte (0x01, 0x28);

		     _delay_ms(500);

		       USART_Transmit(tmp); //     
		   
		         _delay_ms(500); 
	    } 
	
   }



