#ifndef SI5340A_H
#define SI5340A_H

#include <inttypes.h>

#define M_NUM	          0X35			// Register definitions
#define M_DEN	          0X3B
#define N0_NUM	          0X02			// Register definitions
#define N0_DEN	          0X08
#define N2_NUM	          0X18			// Register definitions
#define N2_DEN	          0X1E
#define R0_REG	          0X50
#define R2_REG            0X5C
#define SI_SYNTH_PLL_B	    34
#define SI_SYNTH_MS_0		42
#define SI_SYNTH_MS_1		50
#define SI_SYNTH_MS_2		58
#define SI_PLL_RESET		177

#define SI_R_DIV_1		   0b00000000			// R-division ratio definitions
#define SI_R_DIV_2		    0b00010000
#define SI_R_DIV_4		     0b00100000
#define SI_R_DIV_8		      0b00110000
#define SI_R_DIV_16		       0b01000000
#define SI_R_DIV_32		        0b01010000
#define SI_R_DIV_64		         0b01100000
#define SI_R_DIV_128		      0b01110000

#define SI_CLK_SRC_PLL_A	0b00000000
#define SI_CLK_SRC_PLL_B	0b00100000

#define XTAL_FREQ	25000000			// Crystal frequency ( 32004200)
char BufNumPLL[6], BufNumMult[6], BufDenomPLL[4], BufDenomMult[4];

//void si5340aOutputOff(uint8_t clk);
 //void si5340aSetFrequency(uint32_t frequency);
	 void setupPLL(uint64_t, uint32_t);
	   void send(uint8_t, uint8_t, uint8_t, uint64_t, uint32_t);
	    //void send_1(uint8_t, uint8_t, uint64_t, uint32_t);
	     //uint8_t i2c_eep_WriteByte(uint8_t, uint8_t);
		    uint8_t  i2cByteSend(uint8_t); 
			 void i2cStop(void);
			   uint8_t i2c_eep_WriteByte(uint8_t, uint8_t);
			    char  WriteByte(char, char, char);
				 //void USART_Transmit(); //     
			
		 

	    
#endif //SI5340A_H
