#ifndef I2C_H
#define I2C_H

#include <inttypes.h>
#include <avr/io.h>
#include <avr/pgmspace.h>

#define SAddr 0b11101000
#define SAddr_1  0b11101001

#include <inttypes.h>
#include <util/twi.h>		/*  [1]*/

uint8_t twst;


void i2cInit(void);
 uint8_t i2cSendRegister(uint8_t, uint8_t);
  uint8_t i2c_eep_WriteByte(uint8_t, uint8_t);



uint8_t i2cStart(void)
{
	TWCR = (1<<TWINT) | (1<<TWSTA) | (1<<TWEN); //    TWCR  , 
	                                              //  "".

	while (!(TWCR & (1<<TWINT))) ;              //    TWINT   


	//switch ((twst = TW_STATUS))
    //{
     // case TW_START:
     // break;
   
    //default: USART_Transmit(77); //    
    //}
  
}

void i2cStop(void)
{
	TWCR = (1<<TWINT) | (1<<TWEN) | (1<<TWSTO); //    TWCR  ,  "".
	

	while ((TWCR & (1<<TWSTO))) ;
}

uint8_t i2cByteSend(uint8_t data)                 //  
{
	TWDR = data;                                  //     TWDR

	TWCR = (1<<TWINT) | (1<<TWEN);               //      
	                                              // 

	while (!(TWCR & (1<<TWINT))) ;               //    TWINT   TWCR.


	//	switch ((twst = TW_STATUS))
    //{
     //  case TW_MT_SLA_ACK:
     // break;

     // default: USART_Transmit(78); //    
   // }


}


uint8_t i2cByteSend_1(uint8_t data)                 //  
{
	TWDR = data;                                  //     TWDR

	TWCR = (1<<TWINT) | (1<<TWEN);               //      
	                                              // 

	while (!(TWCR & (1<<TWINT))) ;               //    TWINT   TWCR.


	//	switch ((twst = TW_STATUS))
    //{
    
    // case TW_MT_DATA_ACK:

     // break;

   
   // default: USART_Transmit(79); //    
   // }


}


uint8_t i2cByteSend_2(uint8_t data)                 //  
{
	TWDR = data;                                  //     TWDR

	TWCR = (1<<TWINT) | (1<<TWEN);               //      
	                                              // 

	while (!(TWCR & (1<<TWINT))) ;               //    TWINT   TWCR.


	//	switch ((twst = TW_STATUS))
    //{
    //case TW_MT_SLA_NACK:		// ,    
    // case TW_MT_DATA_ACK:
    //  break;

  
   // default: USART_Transmit(80); //    
    //}


}


uint8_t i2cByteSend_3(uint8_t data)                 //  
{
	TWDR = data;                                  //     TWDR

	TWCR = (1<<TWINT) | (1<<TWEN);               //      
	                                              // 

	while (!(TWCR & (1<<TWINT))) ;               //    TWINT   TWCR.


	//	switch ((twst = TW_STATUS))
   // {
    //case TW_MT_SLA_NACK:		// ,    
    //  case TW_MR_SLA_ACK:
    //  break;

  
   // default: USART_Transmit(80); //    
    //}


}


/*uint8_t i2c_eep_WriteByte(uint8_t reg_1, uint8_t reg) 

{ 

 
	i2cStart();                        //	

	i2cByteSend(SAddr);                //  

	//i2cByteSend_1(0x01);                 //  -        

	//i2cByteSend_2(reg_1);                //    
	
	i2cStop();                         // 	
	
	i2cStart();                        // 
	
	i2cByteSend(SAddr);                //  
		
	i2cByteSend(reg);                  //  -        
	
	
    return 2;
}
*/

 char  WriteByte(char reg_3, char reg_4, char date) //  ,   : WriteByte (page[k], reg_a[k], date_1[k]); 

{ 
 
 
	i2cStart();                        //	

	i2cByteSend(SAddr);                //  

	i2cByteSend_1(0x01);                 //  -        

	i2cByteSend_2(reg_3);                //    
	
	i2cStop();                         // 	
	
	i2cStart();                        // 
	
	i2cByteSend(SAddr);                //  
		
	i2cByteSend_2(reg_4);                //  -        
	
	i2cByteSend_2(date);                 //   
	
     i2cStop(); 
	 
	 return 2;
}

char ReadByte (char page, char reg)         // 

{
  i2cStart();                        //
     i2cByteSend(SAddr);                //  
	   i2cByteSend_1(0x01);                 //  -        
	     i2cByteSend_2(page);                //    
		    i2cStop();                         // 	
	
	i2cStart();                        // 
	  i2cByteSend(SAddr);                //  
	    i2cByteSend_2(reg);                //    
		  i2cStop();                         // 
		  
		    i2cStart();                        //
              i2cByteSend_3(SAddr_1);                //  	

			   TWCR = (1<<TWINT) | (1<<TWEN);               //       

			    //TWCR = (1<<TWINT)|(1<<TWEN)|(1<<TWEA);//  
	               while(!(TWCR & (1<<TWINT)));//   TWIN
	                                                       

			         i2cStop();                                 // 
	 	
                       return TWDR;
}


/******************** Init TWI (I2C)   *******************************************/

void i2cInit()
{
	TWBR = 92;	                                         //   					
	TWSR = 0;
	TWDR = 0xFF;
	PRR = 0;
}

#endif //I2C_H
