#include <avr/io.h>                    // /
#include <avr/interrupt.h>             // 
#include <stdlib.h>                    // atoi()

 /****************         USART   *******************/
 
 
void USART_Init( unsigned char ubrr)   //  USART
{
 
UBRR0H = (unsigned char)(ubrr>>8);       //  
UBRR0L = (unsigned char)ubrr;

/*******************      USART *******************************/


 
UCSR0B=(1<<RXEN0)|(1<<TXEN0)|(1<<RXCIE0);

/*************    8  , 1   *******************/

//UCSR0C=0x86;                       //    ATmega328p
UCSR0C = (1<<UCSZ01)|(1<<UCSZ00);

}

 /*************        *******************/
 
void USART_Transmit(unsigned char data) //  
{

while ( !(UCSR0A & (1<<UDRE0)) );         //   
UDR0 = data;                               //  .   ""     UART.			        
}


/**********************       USART   ***************************/

void str_uart_send(char *string)

{

while(*string != '\0')
{
USART_Transmit(*string);
string++;
}
}
